Public Attributes | List of all members
_ll_ecc_curve_init Struct Reference
Peripheral Driver » LL Driver » PKC » Structures » PKC Exported Init structures

LL PKC ECC P-256 Elliptic Curve Init Structure definition. More...

`#include <gr55xx_ll_pkc.h>`

## Public Attributes
uint32_t | A [ECC_U32_LENGTH]
uint32_t | B [ECC_U32_LENGTH]
uint32_t | P [ECC_U32_LENGTH]
uint32_t | PRSquare [ECC_U32_LENGTH]
uint32_t | ConstP
uint32_t | N [ECC_U32_LENGTH]
uint32_t | NRSquare [ECC_U32_LENGTH]
uint32_t | ConstN
uint32_t | H
ll_ecc_point_t | G

## Detailed Description

LL PKC ECC P-256 Elliptic Curve Init Structure definition.

Definition at line 102 of file gr55xx_ll_pkc.h.

## Member Data Documentation

## ◆ A

uint32_t _ll_ecc_curve_init::A[ECC_U32_LENGTH]

Operand A array

Definition at line 104 of file gr55xx_ll_pkc.h.

## ◆ B

uint32_t _ll_ecc_curve_init::B[ECC_U32_LENGTH]

Operand B array

Definition at line 105 of file gr55xx_ll_pkc.h.

## ◆ ConstN

uint32_t _ll_ecc_curve_init::ConstN

Montgomery multiplication constant in prime field N, ConstN = 0xee00bc4f

Definition at line 113 of file gr55xx_ll_pkc.h.

## ◆ ConstP

uint32_t _ll_ecc_curve_init::ConstP

Montgomery multiplication constant in prime field P, ConstP = 1

Definition at line 109 of file gr55xx_ll_pkc.h.

## ◆ G

ll_ecc_point_t _ll_ecc_curve_init::G

ECC Point G

Definition at line 117 of file gr55xx_ll_pkc.h.

## ◆ H

uint32_t _ll_ecc_curve_init::H

H

Definition at line 115 of file gr55xx_ll_pkc.h.

## ◆ N

uint32_t _ll_ecc_curve_init::N[ECC_U32_LENGTH]

Prime number N array

Definition at line 111 of file gr55xx_ll_pkc.h.

## ◆ NRSquare

uint32_t _ll_ecc_curve_init::NRSquare[ECC_U32_LENGTH]

R^2 mod N, where R = 2^256

Definition at line 112 of file gr55xx_ll_pkc.h.

## ◆ P

uint32_t _ll_ecc_curve_init::P[ECC_U32_LENGTH]

Prime number P array

Definition at line 107 of file gr55xx_ll_pkc.h.

## ◆ PRSquare

uint32_t _ll_ecc_curve_init::PRSquare[ECC_U32_LENGTH]

R^2 mod P, where R = 2^256

Definition at line 108 of file gr55xx_ll_pkc.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_pkc.h